commit:     ca64282cfc61e6142b71a1ebb11a1a01974a3f5c
Author:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 17 00:09:22 2015 +0000
Commit:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
CommitDate: Tue Feb 17 00:09:22 2015 +0000
URL:        http://sources.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=ca64282c

added multilib mpi for testing

Package-Manager: portage-2.2.14

---
 virtual/mpi/ChangeLog         |  7 ++++++-
 virtual/mpi/mpi-2.0-r4.ebuild | 25 +++++++++++++++++++++++++
 2 files changed, 31 insertions(+), 1 deletion(-)

diff --git a/virtual/mpi/ChangeLog b/virtual/mpi/ChangeLog
index 9528b39..3187e90 100644
--- a/virtual/mpi/ChangeLog
+++ b/virtual/mpi/ChangeLog
@@ -1,7 +1,12 @@
 # ChangeLog for virtual/mpi
-# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*mpi-2.0-r4 (17 Feb 2015)
+
+  17 Feb 2015; Christoph Junghans <[email protected]> +mpi-2.0-r4.ebuild:
+  added multilib mpi for testing
+
   15 Nov 2014; Christoph Junghans <[email protected]> mpi-2.0-r3.ebuild:
   fix mvapich2 dep
 

diff --git a/virtual/mpi/mpi-2.0-r4.ebuild b/virtual/mpi/mpi-2.0-r4.ebuild
new file mode 100644
index 0000000..e1c2283
--- /dev/null
+++ b/virtual/mpi/mpi-2.0-r4.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/virtual/mpi/mpi-2.0-r3.ebuild,v 1.1 
2013/07/12 00:07:03 jsbronder Exp $
+
+EAPI=5
+
+inherit multilib-build
+
+DESCRIPTION="Virtual for Message Passing Interface (MPI) v2.0 implementation"
+HOMEPAGE=""
+SRC_URI=""
+LICENSE=""
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd 
~amd64-linux ~x86-linux"
+IUSE="cxx fortran romio threads"
+
+RDEPEND="|| (
+       
>=sys-cluster/openmpi-1.8.4-r2[${MULTILIB_USEDEP},cxx?,fortran?,romio?,threads?]
+       
>=sys-cluster/mpich-3.1.3-r1[${MULTILIB_USEDEP},cxx?,fortran?,romio?,threads?]
+       
>=sys-cluster/mpich2-1.5-r1[${MULTILIB_USEDEP},cxx?,fortran?,romio?,threads?]
+       abi_x86_64? ( !abi_x86_32? ( 
sys-cluster/mvapich2[fortran?,romio?,threads?] ) )
+       prefix? ( sys-cluster/native-mpi )
+)"
+
+DEPEND=""

Reply via email to